<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-App-Information",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-apps-{}"
  },
  "title" : "Get App Information"
}
-->

# Get App Information

Get information about a specific app for an organization using the built-in device management in Apple Business.

## Overview> Important: This endpoint requires the built-in device management service to be turned on for the organization. If you need to manage apps without the built-in device management, use the [Apps and Books for Organizations](https://developer.apple.com/documentation/devicemanagement/apps-and-books-for-organizations) API instead.

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/apps/{id}" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "data": {
    "type": "apps",
    "id": "361309726",
    "attributes": {
      "name": "Pages",
      "bundleId": "com.apple.Pages",
      "websiteUrl": "https://www.apple.com/pages/",
      "version": "14.0",
      "supportedOS": [
        "SUPPORTED_OS_IOS",
        "SUPPORTED_OS_MACOS"
      ],
      "isCustomApp": false,
      "appStoreUrl": "https://apps.apple.com/app/pages/id361309726"
    },
    "links": {
      "self": "https://api-business.apple.com/v1/apps/361309726"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/apps/361309726"
  }
}
```

## Topics

### Responses

[`object AppResponse`](/documentation/AppleBusinessAPI/AppResponse)

A response that contains information about an app resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)